org.apache.storm.container.cgroup.core

## Enum BlkioCore.RecordType

- java.lang.Object
- - java.lang.Enum<BlkioCore.RecordType>
  - - org.apache.storm.container.cgroup.core.BlkioCore.RecordType

- All Implemented Interfaces:
    Serializable, Comparable<BlkioCore.RecordType>
  Enclosing class:
    BlkioCore

      public static enum BlkioCore.RecordType
      extends Enum<BlkioCore.RecordType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `async`
    `read`
    `sync`
    `total`
    `write`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlkioCore.RecordType` | `getType(String type)`
    `static BlkioCore.RecordType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BlkioCore.RecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### read

          public static final BlkioCore.RecordType read

    - #### write

          public static final BlkioCore.RecordType write

    - #### sync

          public static final BlkioCore.RecordType sync

    - #### async

          public static final BlkioCore.RecordType async

    - #### total

          public static final BlkioCore.RecordType total

  - ### Method Detail

    - #### values

          public static BlkioCore.RecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BlkioCore.RecordType c : BlkioCore.RecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlkioCore.RecordType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public static BlkioCore.RecordType getType(String type)

Copyright © 2021 The Apache Software Foundation. All rights reserved.